import * as iam from '@aws-cdk/aws-iam';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface RepositoryConfig {
    /**
     * @stability stable
     */
    readonly owner: string;
    /**
     * @stability stable
     */
    readonly repo: string;
    /**
     * @stability stable
     */
    readonly filter?: string;
}
/**
 * @stability stable
 */
export declare class OpenIdConnectProvider extends cdk.Construct {
    /**
     * @stability stable
     */
    static readonly issuer: string;
    /**
     * @stability stable
     */
    static readonly thumbprint: string;
    /**
     * @stability stable
     */
    readonly provider: iam.IOpenIdConnectProvider;
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string);
    private formatSubject;
    /**
     * @stability stable
     */
    createRole(id: string, repo: RepositoryConfig[], roleProps?: iam.RoleProps): iam.Role;
}
